Subject: Re: bug#70589: [PATCH] Refine the Custom type of generated '*-modes' options

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Apr 2024 18:00:30 +0300

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 26 Apr 2024 14:24:42 +0200
> 
> >> These are slightly different: a value of t ("Enable in all major modes")
> >> says to enable everywhere, while a t inside a list ("All major modes")
> >> says to enable in modes that were not mentioned earlier in the list (so
> >> putting t in the end of the list means "otherwise, enable").  Similarly
> >> for the "none" alternatives: a value of nil ("Don't enable...") means we
> >> never enable the minor mode, while the effect of a nil inside the list
> >> is relative to the previous elements, and means "otherwise, don't".
> >> Does that make sense?
> >
> > It might make sense, if we change the labels to say what you tell
> > above.
> >
> > Thanks.
> 
> OK, here's an updated patch with revised labels:

Thanks, but I find the likes of "By default, enable" not clear enough.
Would it be accurate to say this instead:

                        (const :tag "Enable in any other mode" t)
                        (const :tag "Don't enable in the other modes" nil)